/// <reference types="react" />
import { PreferencesState, WorkspaceWithSource } from '../reducer/preferences/preferencesReducer';
export interface PreferencesContextData extends PreferencesState {
    isCurrentWorkspaceReadOnly: boolean;
    current: WorkspaceWithSource;
}
export declare const PreferencesContext: import("react").Context<PreferencesState>;
export declare const PreferencesProvider: import("react").Provider<PreferencesState>;
export declare function usePreferences(): {
    current: any;
    isCurrentWorkspaceReadOnly: boolean;
    version: number;
    workspaces: import("../reducer/preferences/preferencesReducer").WorkspacesWithSource;
    originalWorkspaces: import("../reducer/preferences/preferencesReducer").WorkspacesWithSource;
    dispatch: (action?: ({
        type: "INIT_PREFERENCES";
        payload: {
            display: import("nmr-load-save").WorkspacePreferences;
            workspace: import("../main/types").NMRiumWorkspace;
            customWorkspaces: Record<string, import("nmr-load-save").Workspace>;
            dispatch: any;
        };
    } | ({
        type: "SET_PREFERENCES";
        payload: Partial<import("nmr-load-save").Workspace>;
    } | {
        type: "SET_PREFERENCES";
    }) | {
        type: "SET_PANELS_PREFERENCES";
        payload: {
            key: string;
            value: string;
        };
    } | import("../reducer/preferences/preferencesReducer").SetWorkspaceAction | {
        type: "REMOVE_WORKSPACE" | "SET_ACTIVE_WORKSPACE";
        payload: {
            workspace: string;
        };
    } | {
        type: "ADD_WORKSPACE";
        payload: {
            workspaceKey: string;
            data?: Omit<import("nmr-load-save").Workspace, "label" | "version"> | undefined;
        };
    } | {
        type: "APPLY_General_PREFERENCES";
        payload: {
            data: Omit<import("nmr-load-save").Workspace, "label" | "version">;
        };
    } | {
        type: "ANALYZE_SPECTRA";
        payload: {
            start: number;
            end: number;
            nucleus: string;
            columnKey?: string | undefined;
        };
    } | {
        type: "CHANGE_ANALYSIS_COLUMN_VALUE_KEY";
        payload: {
            columnKey: string;
            valueKey: string;
            nucleus: string;
        };
    } | {
        type: "DELETE_ANALYSIS_COLUMN";
        payload: {
            columnKey: string;
            nucleus: string;
        };
    } | {
        type: "SET_SPECTRA_ANALYSIS_PREFERENCES";
        payload: {
            nucleus: string;
            data: import("nmr-load-save").MultipleSpectraAnalysisPreferences;
        };
    } | {
        type: "SET_MATRIX_GENERATION_OPTIONS";
        payload: {
            nucleus: string;
            options: import("../../data/types/data1d/MatrixOptions").MatrixOptions;
        };
    } | {
        type: "ADD_MATRIX_GENERATION_EXCLUSION_ZONE";
        payload: {
            zone: {
                from: number;
                to: number;
            };
            range: {
                from: number;
                to: number;
            };
            nucleus: string;
        };
    } | {
        type: "DELETE_MATRIX_GENERATION_EXCLUSION_ZONE";
        payload: {
            zone: {
                id: string;
                from: number;
                to: number;
            };
            nucleus: string;
        };
    } | {
        type: "SET_VERTICAL_SPLITTER_POSITION";
        payload: {
            value: import("react-science/ui").SplitPaneSize;
        };
    }) | undefined) => void;
    workspace: {
        current: import("../main/types").NMRiumWorkspace;
        base: import("../main/types").NMRiumWorkspace | null;
    };
};
export declare function useWorkspacesList(): any[];
